UbuntuUpdates.org

Package "update-notifier"

Name: update-notifier

Description:

Daemon which notifies about package updates

Latest version: 3.192.1.12
Release: bionic (18.04)
Level: updates
Repository: main

Links


Download "update-notifier"


Other versions of "update-notifier" in Bionic

Repository Area Version
base main 3.192

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 3.192.1.12 2021-09-13 10:06:23 UTC

  update-notifier (3.192.1.12) bionic; urgency=medium

  * Sleep for up to an hour in the background in order to spread the load
    of checking for release updates on the Ubuntu infrastructure
    (LP: #1836475)

 -- Brian Murray <email address hidden> Mon, 23 Aug 2021 15:33:27 -0700

Source diff to previous version
1836475 [SRU] update-notifier-common weekly cron job runs at the same time for all computers across the globe

Version: 3.192.1.11 2021-06-08 10:06:23 UTC

  update-notifier (3.192.1.11) bionic; urgency=medium

  * debian/control: add lsb-release to the update-notifier-common depends as
    it is used by apt-cdrom-check. (LP: #1927996)
  * data/apt_check.py
    - Only show esm-apps alerts on lts and non-esm distros (LP: #1926990)
    - Update esm-infra alert for distros on ESM mode
    - Show message with number of upgradable packages even if that
      number is zero (LP: #1926819)
    - Get distro name and version directly from /etc/os-release
    - Fallback to lsb_release command if there are any problems using
      /etc/os-release as source of information
    - Show esm-apps status header when running on LTS distro that
      has not yet entered Extended Security Maintenance

 -- Lucas Moura <email address hidden> Fri, 14 May 2021 15:43:17 -0300

Source diff to previous version
1927996 /usr/lib/update-notifier/apt_check.py:FileNotFoundError:/usr/lib/update-notifier/apt_check.py@16:check_output:run:__init__:_execute_child
1926990 update-notifier should not alert users about esm-apps in a ESM machine
1926819 Empty MOTD on up-to-date systems (includes fix)

Version: 3.192.1.10 2021-04-29 22:06:19 UTC

  update-notifier (3.192.1.10) bionic; urgency=medium

  * data/apt_check.py:
    - Add support to handle packages from ESM Apps in addition to ESM Infra
      and only display alerts if the distro is ESM. (LP: #1924766)
    - Do not display a count of ESM packages if the system does not have ESM
      enabled. (LP: #1883315)
    - Make distinction between standard security updates and ESM updates
      when performing package counts. (LP: #1926208)
    - use 'applied' instead of 'installed', redact 0 of these updates are
      security updates, and correct singular messages
  * debian/control: Add a dependency on python3-distro-info.

 -- Lucas Moura <email address hidden> Thu, 22 Apr 2021 18:39:19 -0300

Source diff to previous version
1924766 update-notifier does not handle ESM Apps in the apt-check script
1883315 Showing esm update as installable when esm is disabled
1926208 standard security upgrade counts should not include ESM packages

Version: 3.192.1.9 2021-01-05 21:07:11 UTC

  update-notifier (3.192.1.9) bionic; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
    - data/apt_check.py: Update name and URL
    - tests/test_motd.py: adapt unittests to match new behavior
    - po/*.po: translation files with intltool-update -r
  * Fix pep8/pyflakes autopkgtest failures (LP: #1906436)
    - d/control: add explicit pep8 build-requires dependency
    - test_motd.py: remove unused imports
    - pyflakes: data/backend_helper fix unittests for unreferenced
      variables
    - data/apt_check & data/backend_helper: resolve underindent pep8 issues
      backport of 9e0f7ee50 [ Brian Murray ]
    - data/apt_check.py, data/package-data-downloader, tests/test_pep8.py:
      + update the code formating to be not hit W504 warnings,
        change to ignore W503 and be consistent with update-manager.
        [ Andrea Azzarone ]
    - INSTALL, data/hooks.py, tests/test_package-data-downloader.py:
      Fix E117 over-indented pep issues. [ Gianfranco Costamagna ]
    - test_motd.py: Remove unused imports [ Julian Andres Klode ]
    - pyflakes: data/backend_helper fix unittests for unreferenced variables

Source diff to previous version
1901627 Update product naming: Simplify UA Infrastructure ESM to UA Infra: ESM
1906436 Resolve autopkgtest failures Pep8/pyflakes on Xenial and Bionic

Version: 3.192.1.7 2019-06-05 21:07:19 UTC

  update-notifier (3.192.1.7) bionic; urgency=medium

  * Backport some fixes for the previous changes, from Andrea Azzarone
  * Don't show the Livepatch indicator if livepatch is disabled.
  * Livepatch, Handle "applying" Livepatch state




About   -   Send Feedback to @ubuntu_updates